[arch-commits] Commit in twisted/repos (4 files)

Felix Yan felixonmars at archlinux.org
Fri Sep 16 09:14:57 UTC 2016


    Date: Friday, September 16, 2016 @ 09:14:57
  Author: felixonmars
Revision: 276531

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  twisted/repos/testing-i686/
  twisted/repos/testing-i686/PKGBUILD
    (from rev 276530, twisted/trunk/PKGBUILD)
  twisted/repos/testing-x86_64/
  twisted/repos/testing-x86_64/PKGBUILD
    (from rev 276530, twisted/trunk/PKGBUILD)

-------------------------+
 testing-i686/PKGBUILD   |   83 ++++++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/PKGBUILD |   83 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+)

Copied: twisted/repos/testing-i686/PKGBUILD (from rev 276530, twisted/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2016-09-16 09:14:57 UTC (rev 276531)
@@ -0,0 +1,83 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=16.4.1
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface' 'git'
+             'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
+checkdepends=('subversion' 'python2-sphinx' 'pygtk' 'xorg-server-xvfb' 'tk' 'openssh'
+              'python-gobject' 'python2-gobject' 'python-gobject2' 'python2-gobject2'
+              'python2-gmpy2' 'python2-soappy' 'python-subunit' 'python2-subunit')
+source=("git+https://github.com/twisted/twisted.git#tag=twisted-$pkgver")
+sha1sums=('SKIP')
+
+prepare() {
+  cp -a twisted{,-py2}
+
+  cd twisted-py2
+  sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+    twisted/python/test/pullpipe.py \
+    twisted/mail/test/pop3testserver.py \
+    twisted/trial/test/scripttest.py
+}
+
+build() {
+  cd "$srcdir"/twisted
+  python setup.py build
+
+  cd "$srcdir"/twisted-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/twisted
+  LC_CTYPE=en_US.utf8 xvfb-run python admin/run-python3-tests || warning "Tests failed"
+
+  cd "$srcdir"/twisted-py2
+  LC_CTYPE=en_US.utf8 xvfb-run python2 bin/trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+  depends=('python-crypto' 'python-zope-interface')
+  optdepends=('python-pyopenssl'
+              'python-service-identity: for TLS client hostname verification'
+              'python-pyasn1: for using conch'
+              'tk: for using tkconch')
+
+  cd twisted
+  python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+
+  # twisted in python 3 supports only few command line tools for now.
+  # Let's rename the tools the other way round after the python 3 version supports all.
+  for name in trial twistd twist; do
+    mv "$pkgdir"/usr/bin/${name}{,3}
+  done
+
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-twisted() {
+  depends=('python2-crypto' 'python2-zope-interface')
+  optdepends=('python2-pyopenssl'
+              'python2-service-identity: for TLS client hostname verification'
+              'python2-soappy: for twisted.web.soap'
+              'python2-pyasn1: for using conch'
+              'pygtk: for using manhole'
+              'tk: for using tkconch')
+  provides=("twisted=$pkgver")
+  conflicts=('twisted<14.0.0')
+  replaces=('twisted<14.0.0')
+
+  cd twisted-py2
+  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}

Copied: twisted/repos/testing-x86_64/PKGBUILD (from rev 276530, twisted/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2016-09-16 09:14:57 UTC (rev 276531)
@@ -0,0 +1,83 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor:  Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=16.4.1
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface' 'git'
+             'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
+checkdepends=('subversion' 'python2-sphinx' 'pygtk' 'xorg-server-xvfb' 'tk' 'openssh'
+              'python-gobject' 'python2-gobject' 'python-gobject2' 'python2-gobject2'
+              'python2-gmpy2' 'python2-soappy' 'python-subunit' 'python2-subunit')
+source=("git+https://github.com/twisted/twisted.git#tag=twisted-$pkgver")
+sha1sums=('SKIP')
+
+prepare() {
+  cp -a twisted{,-py2}
+
+  cd twisted-py2
+  sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+    twisted/python/test/pullpipe.py \
+    twisted/mail/test/pop3testserver.py \
+    twisted/trial/test/scripttest.py
+}
+
+build() {
+  cd "$srcdir"/twisted
+  python setup.py build
+
+  cd "$srcdir"/twisted-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/twisted
+  LC_CTYPE=en_US.utf8 xvfb-run python admin/run-python3-tests || warning "Tests failed"
+
+  cd "$srcdir"/twisted-py2
+  LC_CTYPE=en_US.utf8 xvfb-run python2 bin/trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+  depends=('python-crypto' 'python-zope-interface')
+  optdepends=('python-pyopenssl'
+              'python-service-identity: for TLS client hostname verification'
+              'python-pyasn1: for using conch'
+              'tk: for using tkconch')
+
+  cd twisted
+  python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+
+  # twisted in python 3 supports only few command line tools for now.
+  # Let's rename the tools the other way round after the python 3 version supports all.
+  for name in trial twistd twist; do
+    mv "$pkgdir"/usr/bin/${name}{,3}
+  done
+
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-twisted() {
+  depends=('python2-crypto' 'python2-zope-interface')
+  optdepends=('python2-pyopenssl'
+              'python2-service-identity: for TLS client hostname verification'
+              'python2-soappy: for twisted.web.soap'
+              'python2-pyasn1: for using conch'
+              'pygtk: for using manhole'
+              'tk: for using tkconch')
+  provides=("twisted=$pkgver")
+  conflicts=('twisted<14.0.0')
+  replaces=('twisted<14.0.0')
+
+  cd twisted-py2
+  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list